---
updatedAt: 2026-09-07T11:13:52.000Z
agentTools:
  projectIndex: https://docs.nacelle.com/llms.txt
---

# Create a paymentintent

This will create a payment intent on the input parameters.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "The Order Management API is used to manage orders in the Nacelle Order Management System. This API is currently experimental and is subject to change.\n",
    "title": "Order Management API (Experimental)",
    "version": "0.1.0"
  },
  "paths": {
    "/paymentintent/create": {
      "post": {
        "description": "This will create a payment intent on the input parameters.",
        "operationId": "createPaymentIntent",
        "parameters": [
          {
            "in": "header",
            "name": "X-Nacelle-Space-ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "429": {
            "$ref": "#/components/responses/429"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "summary": "Create a paymentintent",
        "tags": [
          "paymentintent"
        ]
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "servers": [
    {
      "url": "https://noms.api.nacelle.com/api/v1"
    }
  ],
  "components": {
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UpdateResponse"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "403": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "429": {
        "description": "Rate Limit Exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "500": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://authimilate.api.nacelle.com/v1/token",
            "scopes": {
              "read": "Grants read access",
              "write": "Grants write access"
            }
          }
        }
      }
    },
    "schemas": {
      "UpdateResponse": {
        "description": "UpdaterResponse represents the response returned after a successful update operation",
        "type": "object",
        "x-go-name": "UpdaterResponse",
        "x-go-package": "github.com/getnacelle/noms/services/oingest/internal/httpapp/shared"
      },
      "error": {
        "properties": {
          "code": {
            "description": "A numeric error code.",
            "type": "integer"
          },
          "message": {
            "description": "A description of the reason for the error.",
            "type": "string"
          }
        },
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```